<% local view, viewlibrary, page_info, session = ... 
htmlviewfunctions = require("htmlviewfunctions")
html = require("acf.html")
%>

<script type="text/javascript">
	if (typeof jQuery == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery-latest.js"><\/script>');
	}
</script>

<script type="text/javascript">
	if (typeof $.tablesorter == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery.tablesorter.js"><\/script>');
	}
</script>

<script type="text/javascript">
	$(document).ready(function() {
		$("#list").tablesorter({headers: {0:{sorter: false}}, widgets: ['zebra']});
	});
</script>

<h1>Passwd Configuration</h1>
<dl><table id="list" class="tablesorter"><thead>
	<tr>
		<th>Action</th>
		<th>File</th>
		<th>Size</th>
		<th>Last Modified</th>
	</tr>
</thead><tbody>
<% for k,v in ipairs( view.value ) do %>
	<tr>
		<td>
		<% if viewlibrary.check_permission("viewpasswdfile") then %>
			<%= html.link{value=page_info.script..page_info.prefix..page_info.controller.."/viewpasswdfile?filename="..html.url_encode(v.filename), label="View "} %>
		<% end %>
		</td>
                <td><%= html.html_escape(v.filename) %></td>
                <td><span class="hide"><%= html.html_escape(v.orig_size) %>b</span><%= html.html_escape(v.size) %></td>
                <td><%= html.html_escape(v.mtime) %></td>
	</tr>
<% end %>
</tbody></table></dl>
